
Foreman - Bug #26494

select all on hosts lists does not work as expected

03/31/2019 07:24 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Gilad Lekner   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases: 1.22.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6662

  

Description

this is a regression from #16043, when selecting all, the pagination data is no longer available to the jquery selector resulting that

only the current page selection is passed to the multiple actions

Related issues:

Related to Foreman - Bug #16043: Unable to select all hosts from the GUI Closed 08/10/2016

Related to Foreman - Feature #24643: Move pagination to React Closed

Associated revisions

Revision 5579da3f - 05/02/2019 09:27 AM - Gilad Lekner 

Fixes #26494 - select all on hosts lists

History

#1 - 03/31/2019 07:24 AM - Ohad Levy

- Related to Bug #16043: Unable to select all hosts from the GUI added

#2 - 03/31/2019 07:25 AM - Ohad Levy

- Related to Feature #24643: Move pagination to React added

#3 - 04/07/2019 02:06 PM - Ohad Levy

- Assignee set to Gilad Lekner

#4 - 04/07/2019 03:56 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6662 added

#5 - 05/02/2019 09:27 AM - Ohad Levy

- Target version set to 1.23.0

- Fixed in Releases 1.23.0 added

#6 - 05/02/2019 10:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 5579da3f4072c9f937a7340e4c850414f726fa95.

#7 - 05/04/2019 01:23 AM - Tomer Brisker

- Target version deleted (1.23.0)

- Fixed in Releases 1.22.0 added

- Fixed in Releases deleted (1.23.0)
